Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class HostingRedirector

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.datatypes.HostingRedirector

public class HostingRedirector
extends java.lang.Object

The hostingRedirector structure is used to specify the location of a service when it is provisioned via remote hosting. It is mutually exclusive with access point.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Constructor Summary
`HostingRedirector()` Class constructor.
`HostingRedirector(java.lang.String bindingKey)` Class construstor specifying the initialization value.

Method Summary
`java.lang.String` | `getBindingKey()` Gets the value of the binding key.
`void` | `setBindingKey(java.lang.String val)` Sets the value of the binding key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HostingRedirector

    public HostingRedirector()

  Class constructor.

### HostingRedirector

    public HostingRedirector(java.lang.String bindingKey)

  Class construstor specifying the initialization value.

  Parameters:
    `bindingKey` - value of the hosting redirector.

Method Detail

### setBindingKey

    public void setBindingKey(java.lang.String val)

  Sets the value of the binding key.

  Parameters:
    `val` - the new value of the binding key.

### getBindingKey

    public java.lang.String getBindingKey()

  Gets the value of the binding key.

  Returns:
    the current value of the binding key.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference